Bug 446619 - gtk file picker crashed
gtk file picker crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 459662 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 08:15 EDT by lm
Modified: 2009-07-14 12:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lm 2008-05-15 08:15:46 EDT
Description of problem:
i was opening a document by File->Open, when it appeared a windows asking to
report this bug: 

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: il pacchetto openoffice.org-kde non รจ
stato installato
(V)    libgcj version is: libgcj-4.3.0-8-i386
(IV)   kernel is: Linux 2.6.25.3-18.fc9.i686 #1 SMP Tue May 13 05:38:53 EDT 2008
i686 athlon i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-12.8.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 9 (Sulphur)
(VV)   LANG is: it_IT.UTF-8
...start free space details ...
Filesystem        blocchi di   1K   Usati Disponib. Uso% Montato su
/dev/sda8             34589976  10504256  22328616  32% /home
/dev/sda6             15116836   3547708  10801224  25% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x491e3e8: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x253e8
0x491ed23: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x25d23
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x110416: 0x0:  + 0x416 (__kernel_vsyscall + 0x2)
0x5b7660: 0x164d7c: /lib/libc.so.6 + 0x2a660 (gsignal + 0x50)
0x5b9028: 0x164d7c: /lib/libc.so.6 + 0x2c028 (abort + 0x188)
0x7ba04a: 0xe0108: /lib/libglib-2.0.so.0 + 0x4104a (g_logv + 0x5ca)
0x7ba086: 0xe0108: /lib/libglib-2.0.so.0 + 0x41086 (g_log + 0x26)
0x890d2a: 0x3f544: /lib/libgobject-2.0.so.0 + 0x28d2a (g_type_class_ref + 0x56a)
0x8778c0: 0x3f544: /lib/libgobject-2.0.so.0 + 0xf8c0 (g_object_newv + 0xb60)
0x877ca7: 0x3f544: /lib/libgobject-2.0.so.0 + 0xfca7 (g_object_new_valist + 0x2b7)
0x877e1e: 0x3f544: /lib/libgobject-2.0.so.0 + 0xfe1e (g_object_new + 0x6e)
0x19622f0: 0x6bf0c: /lib/libgio-2.0.so.0 + 0x442f0
0x1960d4c: 0x6bf0c: /lib/libgio-2.0.so.0 + 0x42d4c
0x193ae56: 0x6bf0c: /lib/libgio-2.0.so.0 + 0x1ce56 (g_file_enumerate_children +
0xc6)
0x193c054: 0x6bf0c: /lib/libgio-2.0.so.0 + 0x1e054
0x1950679: 0x6bf0c: /lib/libgio-2.0.so.0 + 0x32679
0x194a054: 0x6bf0c: /lib/libgio-2.0.so.0 + 0x2c054
0x7dbb06: 0xe0108: /lib/libglib-2.0.so.0 + 0x62b06
0x7da46f: 0xe0108: /lib/libglib-2.0.so.0 + 0x6146f
0x73032f: 0x14ed4: /lib/libpthread.so.0 + 0x632f
0x66b27e: 0x164d7c: /lib/libc.so.6 + 0xde27e (clone + 0x5e)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00162000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0058b000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00621000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0063e000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00562000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0065b000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0069e000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x0070d000)
	libdl.so.2 => /lib/libdl.so.2 (0x00711000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00716000)
	librt.so.1 => /lib/librt.so.1 (0x0071b000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00725000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00743000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00784000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007c4000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x008a5000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x00924000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00caa000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00d8b000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00de9000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00e6f000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x00f12000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x03c98000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x03dbe000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x03aed000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x03aae000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x04638000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x040b2000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x03a1b000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0308e000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x0100f000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0440d000)
	libm.so.6 => /lib/libm.so.6 (0x031fe000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x02f91000)
	libc.so.6 => /lib/libc.so.6 (0x04ebe000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x02e94000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x02ec2000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x031d0000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x03288000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x02f1e000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x010da000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x010dd000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x02ef0000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x02f35000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x010e6000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x01110000)
	libz.so.1 => /lib/libz.so.1 (0x035c4000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x03916000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x036d4000)
	/lib/ld-linux.so.2 (0x0056d000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x03690000)
	libcap.so.2 => /lib/libcap.so.2 (0x033a4000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x0344e000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x0119f000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x033e8000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x03e88000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x05c04000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x03a6a000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x0340a000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x036b2000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x011b9000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x06611000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x06431000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x06535000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x0643b000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x065a3000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb744a000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x07133000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x06459000)
...end sample ldd details ...
Comment 1 clifford snow 2008-06-08 00:11:51 EDT
I'm having the same problem.  I fixed the problem in Openoffice by checking
Tools->Options->General "Use OpenOffice.org dialogs."  

This bug happens in Openoffice.org, GIMP and gedit.  

Clifford
Comment 2 Matthias Clasen 2008-06-18 22:25:41 EDT
I hope that this is fixed in the glib-2.16.3-7.fc9 update thats in
updates-testing right now.
Comment 3 clifford snow 2008-06-18 23:04:07 EDT
I updated to glib-2.16.3-7 with no change in the problem.  

When I did a rpm -qa and grep'd for glib there were two versions, one an x86_64,
for my system, as well as an i386 that I installed to run firefox with
Adobe/Macromedia's Flash and a couple other applications that don't have an
x86_64 version.  Could this have anything to do with the problem?  
Comment 4 Matthias Clasen 2008-06-19 00:53:38 EDT
unlikely that the two versions have anything to do with the problem.
Thanks for testing !
Comment 5 clifford snow 2008-06-23 10:00:45 EDT
The following work around resolved the problem.  The user data was backed up
then the user was removed and then added back.  Just the data, none of the
hidden files were restored.   

In my case it appears that the problem is with a hidden user file. It isn't in
.gconf* .gnome* .openoffice.org2.0, or .gimp, or in data in the /tmp directory.
 I'm not sure where gtk stores data.  However, whatever file it is should be
available in my backup if it will help you out.

Comment 6 Caolan McNamara 2008-08-20 18:16:15 EDT
*** Bug 459662 has been marked as a duplicate of this bug. ***
Comment 7 Telsa Gwynne 2008-08-20 18:28:25 EDT
Gah, mid-air collision when I tried to add a reply to Caolan on #459662. He asked where the files in question were, ie just on the local disc or somewhere else?  Although the laptop in that report can presumably do wireless and/or ethernet, it is on no network, so no connections to other machines. But I am pretty sure the files were on a USB key. I will check tomorrow. Anything else I should find out?
Comment 8 Telsa Gwynne 2008-08-21 12:44:21 EDT
Whoops, no, the files in #459662 were on the local disc, so I can't think what else might have been mounted. Sorry.
Comment 9 Bug Zapper 2009-06-09 20:51:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 12:01:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.